/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package moe.nekojimi.charactermaker;

import moe.nekojimi.charactermaker.steps.Step;
import java.util.Deque;
import java.util.LinkedList;
import moe.nekojimi.charactermaker.steps.AptTemplateStep;
import moe.nekojimi.charactermaker.steps.NativeToungeStep;

/**
 *
 * @author jimj316
 */
public class Main
{

	public static Character character;

	public static UI ui;
	private static final Deque<Step> steps = new LinkedList<>();

	/**
	 * @param args the command line arguments
	 */
	public static void main(String[] args)
	{
		ui = new UI();
		character = new Character();

		steps.add(new AptTemplateStep());
		steps.add(new NativeToungeStep());

		while (!steps.isEmpty())
		{
			Step nextStep = steps.pop();
			nextStep.run();
		}
	}

	public static void addStepFirst(Step step)
	{
		steps.addFirst(step);
	}

}
